Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class StatFunctions

    java.lang.Object
      cc.mallet.util.StatFunctions

    public final class StatFunctions

extends java.lang.Object

Constructor Summary
`StatFunctions()`

Method Summary
`static double` | `betainv(double x, double p, double q)`
`static double` | `corr(Univariate x, Univariate y)`
`static double` | `cov(Univariate x, Univariate y)`
`static double[]` | `ols(Univariate x, Univariate y)`
`double` | `pchisq(double q, double df)`
`static double` | `pf(double x, double df1, double df2)`
`static double` | `pnorm(double z, boolean upper)`
`static double` | `pnorm(double x, boolean upper, double mu, double sigma2)`
`static double` | `pt(double t, double df)`
`static double` | `qnorm(double p, boolean upper)`
`static double` | `qnorm(double p, boolean upper, double mu, double sigma2)`
`static double` | `qt(double p, double ndf, boolean lower_tail)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatFunctions

    public StatFunctions()

Method Detail

### cov

    public static double cov(Univariate x,
                             Univariate y)

### corr

    public static double corr(Univariate x,
                              Univariate y)

### ols

    public static double[] ols(Univariate x,
                               Univariate y)

### qnorm

    public static double qnorm(double p,
                               boolean upper)

### qnorm

    public static double qnorm(double p,
                               boolean upper,
                               double mu,
                               double sigma2)

### pnorm

    public static double pnorm(double z,
                               boolean upper)

### pnorm

    public static double pnorm(double x,
                               boolean upper,
                               double mu,
                               double sigma2)

### qt

    public static double qt(double p,
                            double ndf,
                            boolean lower_tail)

### pt

    public static double pt(double t,
                            double df)

### pchisq

    public double pchisq(double q,
                         double df)

### betainv

    public static double betainv(double x,
                                 double p,
                                 double q)

### pf

    public static double pf(double x,
                            double df1,
                            double df2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD